#
# spec file for package picotool
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sdk_version 1.3.0
Name:           picotool
URL:            https://github.com/raspberrypi/picotool
Version:        1.1.0
Release:        bp155.1.24
Summary:        Tool to inspect RP2040 binaries
License:        BSD-3-Clause
Group:          Development/Tools/Other
BuildRequires:  cmake >= 3.12
BuildRequires:  gcc-c++
BuildRequires:  libusb-1_0-devel
Source0:        https://github.com/raspberrypi/picotool/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://github.com/raspberrypi/pico-sdk/archive/%{sdk_version}.tar.gz#/pico-sdk-%{sdk_version}.tar.gz

%description
Picotool is a tool for inspecting RP2040 binaries, and interacting with RP2040 devices when they are in BOOTSEL mode.

%prep
%setup -q -a 1

%build
%cmake -DPICO_SDK_PATH="../pico-sdk-%{sdk_version}"
%cmake_build

%install
%cmake_install

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE.TXT
%{_bindir}/picotool

%changelog
* Fri Dec 10 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Update to 1.1.0:
  * Add version command
  * Fix parsing of ELF where the program header does not directly follow the file header
  * Add install-ability via `cmake install`
  * Incorporate slightly modified Win32 libusb find helpers
  * Add ability to access device using stdio_usb
  * Add -n option to load to avoid overwriting existing program
  * Add -f/-F option to force reset a cooperative RP2040 board that isnt in BOOTSEL mode
  * Add a sudo suggestion when can't connect on linux/macos
- Drop upstreamed patches:
  * picotool-ce76970.patch
  * picotool-gh30.patch
- Update SDK version to 1.3.0
* Wed Oct 20 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Backport patch to fix installation path:
  * picotool-ce76970.patch
* Fri Jul 23 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Update SDK version to 1.2.0
* Thu Jun  3 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add patch to fix build with GCC11:
  * picotool-gh30.patch
* Sun May 23 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Upstream started to tag versions so drop _service and change
  source to upstream tarball
* Sat May  1 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update to version 0.0~git20210424.a49dc0b:
  * Fix detection of unknown flash-size when saving
  * Add boot2 to build information
  * Various typos fixed
* Thu Apr  8 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update SDK version to 1.1.2
* Sun Apr  4 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update SDK version to 1.1.1
* Mon Mar  8 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Update to version 0.0~git20210305.21d5eb9 with SDK 1.1.0
- Add %%license
* Fri Feb 19 2021 Mustafa Çalışkan <musfay@protonmail.com>
- Update to version 0.0~git20210130.20eee8c with SDK 1.0.1
* Fri Jan 29 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Initial version 0.0~git20210129.f0328c2 with SDK 1.0.0
